////////////////////////////////////////////////////////////
//                                                        //
//  PC MAGAZIN - PC Underground                           //
//  Wrapper für Textureloader                             //
//  (w)(c)2000 Carsten Dachsbacher                        //
//                                                        //
////////////////////////////////////////////////////////////
#ifndef __TEXTURE_H
#define __TEXTURE_H

class PCUTexture
{
private:
	void	deleteTexture();
	bool	createTexture();

	unsigned int ID;

	unsigned int width, height;

public:
	PCUTexture();
	~PCUTexture();

	bool PCUTexture::loadBMP( char *fileName );
	bool PCUTexture::loadTGA32Bit256x256( char *fileName );

	void select();
};

#endif
